//
//  PDFViewer.swift
//  Sailassist
//
//  Created by Mamoru Sugita on 2023/11/14.
//

import Foundation
import SwiftUI
import PDFKit

struct PDFViewer: UIViewRepresentable{
    let url: URL
    
    func makeUIView(context: Context) -> some PDFView {
        let pdfView = PDFView()
        pdfView.document = PDFDocument(url: self.url)
        pdfView.autoScales = true
        pdfView.displayMode = .singlePageContinuous
        return pdfView
    }
    
    func updateUIView(_ uiView: UIViewType, context: Context) {
        
    }
}
